Upload Contact And Add To Campaign Api
Campaigns
Add Contact to Campaign
This endpoint first uplaods a contact, then adds them to a campaign.
Path Parameters
- campaign_id (
int): The ID of the campaign to which the contacts are being added.
Query Parameters
- bot_id (
int): (Optional) The ID of the bot responsible for managing the contact’s email exchanges within the campaign. If not provided, the system will manually assign the contact to a bot. - notify (
bool): A flag the users associated with the campaign should be notified about the new contact. Default isTrue.
Request Body
- contact (
ContactUpload): An object containing the contact details to be added to the campaign.
Headers
X-API-Key: The API key for authenticating the request.
Response
BaseItem: The ID of the newly inserted contact.
Errors
400 Bad Request: If the contact is already associated with the organisation or there are no bots in the organisation.401 Unauthorized: If the API key is invalid.404 Not Found: If the campaign does not exist or is not associated with the organisation.
POST
Upload Contact And Add To Campaign Api
Authorizations
Key used to authenticate user API requests.
Path Parameters
Body
application/json
Required string length:
1 - 63Required string length:
1 - 63Required string length:
1 - 63Required string length:
1 - 63Maximum array length:
16Required string length:
1 - 31Response
Successful Response